API Reference
Log In
API Reference
These docs are for v2.0. Click to read the latest docs for v2.1.

Bulk Transition History for Multiple Applicants

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint retrieves all stage transitions for every applicant specified within your account, starting from the creation of that applicant. For each transition, you will get the name of the workflow stage into which the applicant landed and the date/time when they made the transition.

You can search for up to 1000 applicants at once.

Response Schema

Type: array

  • applicant_id (string)
    • Unique identifier for each individual applicant
  • transitions (array)
    • stage_title (string)
      • Name of the stage in the Fountain workflow into which an applicant landed
    • stage_id (string)
      • ID of the stage in the Fountain workflow into which an applicant landed
    • parent_stage_id (string)
      • If an applicant landed in a sub-stage inside a stage with multiple sub-stages in the Fountain workflow, this is the ID of the parent stage. Otherwise, this is null.
    • parent_stage_title (string)
      • If an applicant landed in a sub-stage inside a stage with multiple sub-stages in the Fountain workflow, this is the title of the parent stage. Otherwise, this is null.
    • sub_stage_id (string)
      • If an applicant landed in a sub-stage inside a stage with multiple sub-stages in the Fountain workflow, this is the ID of the sub-stage. Otherwise, this is null.
    • sub_stage_title (string)
      • If an applicant landed in a sub-stage inside a stage with multiple sub-stages in the Fountain workflow, this is the title of the sub-stage. Otherwise, this is null.
    • created_at (string)
      • Date and time logged when the applicant landed into the workflow stage
Body Params
ids
array of strings
required
Defaults to { "ids": [ "ce8702b0-5d02-0139-d165-3e22fbe8d4d1","012e7703-0595-424c-8d3b-28cf15b0024c" ] }

List of applicant IDs (limit of 1000)

ids*
Headers
string
required
Defaults to secret-api-token

Access Token

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json